def create(klass, closure) {
  def instance = klass.newInstance()
  instance.with closure
  instance
}

def dsl = new File('pizza.dsl').text

def code = """
  def closure = { -> $dsl }
  closure.delegate = context
  closure()
"""                                 

def bindings = new Binding()
bindings.setProperty('context', this)
def shell = new GroovyShell(bindings)
def pizza = shell.evaluate(code)
println pizza.things
