class Mailer {
  def from(String addr) { println 'from...'; return this; }
  def to(String addr) { println 'to...'; return this; }
  def subject(String line) { println 'subject...'; return this; }
  def body(String msg) { println 'body...'; return this; }
  static def send(closure) { 
    Mailer mailer = new Mailer();
    closure(mailer)
    println 'sending...' 
  }
}

Mailer.send { mailer -> 
  mailer.from('builder@agiledeveloper.com')
  .to('venkats@agiledeveloper.com')
  .subject('build notification...')
  .body('...stuff...')
}       